Skip to content

DVIR and Driver Daily Logs

DeliveryGo provides a unified API for working with custom forms, including Pre-Trip DVIR, Post-Trip DVIR, and Driver Daily Logs.

To retrieve form entries, use the GET /forms/entries endpoint with the filter query parameter, as described in the Querying data – Filters section.

Form Types

Specify one of the following values in the type field within the filter parameter:

  • Pre-Trip DVIR: sign_in.after
  • Post-Trip DVIR: sign_out.before
  • Driver Daily Logs: vml

Example

The following example retrieves up to 10 Pre-Trip DVIR entries created on or after 15 January 2026 using LoopBack filter[where] syntax:

http
GET /forms/entries?filter[where][type]=sign_in.after&filter[where][createdAt][gte]=2026-01-15T00:00:00.000Z&filter[limit]=10

JSON-encoded equivalent:

http
GET /forms/entries?filter={"where":{"type":"sign_in.after","createdAt":{"gte":"2026-01-15T00:00:00.000Z"}},"limit":10}

You can apply the same pattern for other form types by changing the type value accordingly.

For a full overview of available query options and filter syntax, see the Querying data documentation.


GET /forms/entries

GET
/forms/entries

Find all instances of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
[
{
"type": "string",
"title": "string",
"truckNumber": "string",
"employeeName": "string",
"employeeNumber": "string",
"plantNumber": "string",
"id": "string",
"companyId": "string",
"userId": "string",
"employeeId": "string",
"truckId": "string",
"ticketId": "string",
"sections": [
{
"type": "string",
"name": "string",
"title": "string",
"notification": false,
"notificationCondition": true,
"fields": [
{
"type": "string",
"name": "string",
"title": "string",
"value": "string",
"required": true,
"export": false,
"aggregate": false
}
]
}
],
"createdAt": "string",
"updatedAt": "string",
"sessionId": "string"
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/count

GET
/forms/entries/count

Count instances of the model matched by where from the data source.

Parameters

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/findOne

GET
/forms/entries/findOne

Find first instance of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
{
"type": "string",
"title": "string",
"truckNumber": "string",
"employeeName": "string",
"employeeNumber": "string",
"plantNumber": "string",
"id": "string",
"companyId": "string",
"userId": "string",
"employeeId": "string",
"truckId": "string",
"ticketId": "string",
"sections": [
{
"type": "string",
"name": "string",
"title": "string",
"notification": false,
"notificationCondition": true,
"fields": [
{
"type": "string",
"name": "string",
"title": "string",
"value": "string",
"required": true,
"export": false,
"aggregate": false
}
]
}
],
"createdAt": "string",
"updatedAt": "string",
"sessionId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/report

GET
/forms/entries/report

Get DVIR report

Parameters

Query Parameters

format
Typestring
where*
Typestring
Required
title
Typestring
groupBy
Typestring
email
Typestring

Responses

Request was successful

application/json
JSON
[
{
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}

GET
/forms/entries/{id}

Find a model instance by {{id}} from the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Query Parameters

filter

Filter defining fields and include

Typestring

Responses

Request was successful

application/json
JSON
{
"type": "string",
"title": "string",
"truckNumber": "string",
"employeeName": "string",
"employeeNumber": "string",
"plantNumber": "string",
"id": "string",
"companyId": "string",
"userId": "string",
"employeeId": "string",
"truckId": "string",
"ticketId": "string",
"sections": [
{
"type": "string",
"name": "string",
"title": "string",
"notification": false,
"notificationCondition": true,
"fields": [
{
"type": "string",
"name": "string",
"title": "string",
"value": "string",
"required": true,
"export": false,
"aggregate": false
}
]
}
],
"createdAt": "string",
"updatedAt": "string",
"sessionId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/driverSession

GET
/forms/entries/{id}/driverSession

Fetches belongsTo relation driverSession.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"start": "string",
"end": "string",
"id": "string",
"employeeId": "string",
"truckId": "string",
"companyId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/employee

GET
/forms/entries/{id}/employee

Fetches belongsTo relation employee.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"name": "string",
"number": "string",
"email": "string",
"phoneNumber": "string",
"type": "regular",
"clockInAllowedAt": "string",
"hireDate": "string",
"active": true,
"externalId": "string",
"receivesLateClockInNotifications": true,
"id": "string",
"companyId": "string",
"divisionId": "string",
"plantId": "string",
"truckId": "string",
"createdAt": "string",
"updatedAt": "string",
"typeId": "string",
"timeCategoryIds": [
"string"
],
"defaultTimeCategoryId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/exists

GET
/forms/entries/{id}/exists

Check whether a model instance exists in the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"exists": true
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/export/{action}

GET
/forms/entries/{id}/export/{action}

Export specific form

Parameters

Path Parameters

action*
Typestring
Required
id*

PersistedModel id

Typestring
Required

Query Parameters

format
Typestring
recipient
Typestring

Responses

Request was successful

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/formatSections

GET
/forms/entries/{id}/formatSections

Queries formatSections of FormEntry.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

filter
Typestring

Responses

Request was successful

application/json
JSON
[
{
"type": "string",
"name": "string",
"title": "string",
"notification": false,
"notificationCondition": true,
"fields": [
{
"type": "string",
"name": "string",
"title": "string",
"value": "string",
"required": true,
"export": false,
"aggregate": false
}
]
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/formatSections/count

GET
/forms/entries/{id}/formatSections/count

Counts formatSections of FormEntry.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/formatSections/{fk}

GET
/forms/entries/{id}/formatSections/{fk}

Find a related item by id for formatSections.

Parameters

Path Parameters

fk*

Foreign key for formatSections

Typestring
Required
id*

PersistedModel id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"type": "string",
"name": "string",
"title": "string",
"notification": false,
"notificationCondition": true,
"fields": [
{
"type": "string",
"name": "string",
"title": "string",
"value": "string",
"required": true,
"export": false,
"aggregate": false
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/owner

GET
/forms/entries/{id}/owner

Fetches belongsTo relation owner.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"type": "string",
"subType": "string",
"sysdyneId": "string",
"realm": "string",
"username": "string",
"credentials": {
},
"challenges": {
},
"email": "string",
"emailVerified": true,
"status": "string",
"created": "string",
"lastUpdated": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"companyId": "string",
"divisionId": "string",
"employeeId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/ticket

GET
/forms/entries/{id}/ticket

Fetches belongsTo relation ticket.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"plantNumber": "string",
"schedulePlantNumber": "string",
"returnPlantNumber": "string",
"ticketNumber": "string",
"truckNumber": "string",
"previousTruckNumber": "string",
"ticketDate": "string",
"orderDate": "string",
"driverNumber": "string",
"driverName": "string",
"purchaseOrderNumber": "string",
"orderNumber": "string",
"timeDueOnJob": "string",
"taxCode": "string",
"minimumLoadChargeDescription": "string",
"minimumLoadChargeAmount": 0,
"onSiteSalesSubTotal": 0,
"onSiteSalesTaxTotal": 0,
"onSiteSalesTaxRate": 0,
"ticketSubTotal": 0,
"ticketTaxTotal": 0,
"ticketGrandTotal": 0,
"orderSumTotal": 0,
"previousOrderSumTotal": 0,
"timeTicketSent": "string",
"zone": "string",
"specialInstructions": "string",
"operatorMessage": "string",
"localTicketChange": true,
"lotBlockNumber": "string",
"printWeights": true,
"isMetric": true,
"loadsDelivered": "string",
"weightMasterName": "string",
"beginUnloadTime": "string",
"pocketNumber": "string",
"currency": "string",
"mapPage": "string",
"heatChargeDescription": "string",
"heatChargeAmount": 0,
"ticketMisc": "string",
"orderMisc": "string",
"salesTypeCode": "string",
"salesTypeShortDescription": "string",
"salesTypeDescription": "string",
"batchRecord": "string",
"truckLocation": "string",
"voided": false,
"voidedReason": "string",
"updatedBy": "api",
"printTimeZone": "string",
"authorityContractNumber": "string",
"scheduleStartTime": "string",
"id": "string",
"deviceId": "string",
"truckId": "string",
"companyId": "string",
"plantId": "string",
"schedulePlantId": "string",
"returnPlantId": "string",
"createdAt": "string",
"updatedAt": "string",
"customerId": "string",
"water": "string",
"delivery": "string",
"customer": "string",
"order": "string",
"mix": "string",
"onSite": "string",
"atPlant": "string",
"status": "string",
"products": [
{
"code": "string",
"description": "string",
"unit": "string",
"loadQuantity": 0,
"currency": "string",
"price": 0,
"extendedAmount": 0,
"orderedQuantity": 0,
"deliveredQuantity": 0,
"longDescription": "string",
"soldOnSite": false,
"taxable": true,
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"mixDesign": "string",
"batchResult": "string",
"batchResultAggr": "string",
"inspection": "string",
"metrics": "string",
"inTransit": "string",
"customFields": [
{
"name": "string",
"label": "string",
"value": "string",
"id": "string"
}
],
"orderId": "string",
"projectId": "string",
"truckMetrics": "string",
"employeeId": "string",
"route": "string",
"returnRoute": "string",
"files": [
{
"type": "string",
"signatureUrl": "string",
"signedTime": "string",
"signedBy": "string",
"signedCode": "string",
"id": "string"
}
],
"syncStatuses": [
{
"id": "string",
"lastStatus": "string",
"lastSyncError": "string",
"lastSyncAttemptDate": "string",
"lastSuccessfulSyncDate": "string"
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /forms/entries/{id}/truck

GET
/forms/entries/{id}/truck

Fetches belongsTo relation truck.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"number": "string",
"description": "string",
"location": "string",
"locationData": {
},
"inService": false,
"inYard": false,
"deadhead": "string",
"endOfDay": false,
"lastAccess": "string",
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"createdAt": "string",
"updatedAt": "string",
"plantId": "string",
"currentPlantId": "string",
"metrics": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python